=== src/Makefile ===
#=====================================================================
F77			=	gfortran
BIN			=	profnet_prof
#=====================================================================
ARCH			=	LINUX
FFLAGS          	:= 	-O3 -fbounds-check -Wuninitialized
FFLAGS          	:= 	$(FFLAGS) -Wall -Wno-unused
#=====================================================================
NN_OBJS			:= prof.f lib-prof.f lib-sys-$(ARCH).f
SOURCES			:= $(NN_OBJS) profPar.f
#=====================================================================
all:	$(BIN)

#=====================================================================
# Make Neural Network
#=====================================================================

$(BIN): $(SOURCES)
	@echo --- making $(BIN)
	$(F77) -o $@ $(FFLAGS) $(NN_OBJS)

clean:
	rm -f *.o $(BIN)

install:
	mkdir -p $(DESTDIR)$(prefix)/bin && \
		cp $(BIN) $(DESTDIR)$(prefix)/bin/

.PHONY:	all clean install
