=== debian/changelog ===
profnet (1.0.21-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 21 Jun 2011 16:15:37 +0200

profnet (1.0.20-2) unstable; urgency=low

  * added copyright info for Guy Yachdav and Laszlo Kajan; fixed
    description lines in debian/control

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 16 Jun 2011 17:41:46 +0000

profnet (1.0.20-1) unstable; urgency=low

  * New upstream release
  * Removed -Werror patch - upstream does not need it any more
  * Explained the reason for the many binary packages in README.Debian
  * Added profnet-dbg package with debugging symbols

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 14 Jun 2011 18:50:52 +0200

profnet (1.0.19-4) stable; urgency=low

  * build for Debian unstable

 -- Laszlo Kajan <lkajan@rostlab.org>  Sun, 12 Jun 2011 19:39:32 +0200

profnet (1.0.19-3) stable; urgency=low

  * build for Debian squeeze

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 25 Feb 2011 18:48:41 +0100

profnet (1.0.19-2) stable; urgency=low

  * profnet-chop

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 12 May 2010 20:07:24 +0200

profnet (1.0.19-1) stable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 12 May 2010 20:07:24 +0200

profnet (1.0.18-2) stable; urgency=low

  * Another attempt at profnet_md

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 17 Mar 2010 16:23:34 +0100

profnet (1.0.18-1) stable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 17 Mar 2010 16:23:34 +0100

profnet (1.0.17-1) stable; urgency=low

  * New upstream release with profnet_isis

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 26 Feb 2010 11:25:32 +0100

profnet (1.0.16-3) stable; urgency=low

  * profnet depends on profnet-con

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 23 Feb 2010 10:55:09 +0100

profnet (1.0.16-2) stable; urgency=low

  * profnet_con

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 23 Feb 2010 10:55:09 +0100

profnet (1.0.16-1) stable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 23 Feb 2010 10:55:09 +0100

profnet (1.0.15-1) stable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 17 Feb 2010 11:52:06 +0100

profnet (1.0.14-1) stable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 11 Feb 2010 13:06:40 +0100

profnet (1.0.13-1) stable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 10 Feb 2010 18:01:02 +0100

profnet (1.0.12-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 05 Jan 2010 18:09:16 +0100

profnet (1.0.11-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 18 Dec 2009 22:20:36 +0100

profnet (1.0.10-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 17 Dec 2009 18:24:02 +0100

profnet (1.0.8-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 15 Dec 2009 09:17:13 +0100

profnet (1.0.7-1) unstable; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 10 Dec 2009 13:55:34 +0100

profnet (1.0.6-1) unstable; urgency=low

  * (unstable) New upstream release

 -- Guy Yachdav <gyachdav@rostlab.org>  Wed, 09 Dec 2009 14:32:49 +0100

profnet (1.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Guy Yachdav <gyachdav@rostlab.org>  Wed, 09 Dec 2009 13:11:39 +0100

profnet (1.0.4-1) unstable; urgency=low

  * New upstream release

 -- Guy Yachdav <gyachdav@rostlab.org>  Tue, 08 Dec 2009 16:21:27 +0100

profnet (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Guy Yachdav <gyachdav@rostlab.org>  Wed, 02 Dec 2009 12:00:57 +0100

profnet (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Guy Yachdav <gyachdav@rostlab.org>  Mon, 30 Nov 2009 18:23:31 +0100

profnet (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Guy Yachdav <gyachdav@rostlab.org>  Mon, 30 Nov 2009 16:04:11 +0100

profnet (1.0.0) unstable; urgency=low

  * Initial release.

 -- Guy Yachdav <gyachdav@rostlab.org>  Mon, 30 Nov 2009 14:50:26 +0100
