=== debian/control ===
Source: profnet
Section: science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Guy Yachdav <gyachdav@rostlab.org>, Laszlo Kajan <lkajan@rostlab.org>
Build-Depends: debhelper (>= 7), gfortran, rsync
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/rostlab/profnet/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/rostlab/profnet/trunk/
DM-Upload-Allowed: yes
Homepage: http://www.predictprotein.org/

Package: profnet-bval
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profbval
Description: neural network architecture for profbval
 ${Description}
 .
 This package contains the neural network architecture for profbval.

Package: profnet-chop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profchop
Description: neural network architecture for profchop
 ${Description}
 .
 This package contains the neural network architecture for profchop.

Package: profnet-con
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profcon
Description: neural network architecture for profcon
 ${Description}
 .
 This package contains the neural network architecture for profcon.

Package: profnet-isis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profisis
Description: neural network architecture for profisis
 ${Description}
 .
 This package contains the neural network architecture for profisis.

Package: profnet-md
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: metadisorder
Description: neural network architecture for metadisorder
 ${Description}
 .
 This package contains the neural network architecture for metadisorder.

Package: profnet-norsnet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: norsnet
Description: neural network architecture for norsnet
 ${Description}
 .
 This package contains the neural network architecture for norsnet.

Package: profnet-prof
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profphd
Description: neural network architecture for profacc
 ${Description}
 .
 This package contains the neural network architecture for profsec and profacc.

Package: profnet-snapfun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: snapfun
Description: neural network architecture for snapfun
 ${Description}
 .
 This package contains the neural network architecture for snapfun.

Package: profphd-net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: profphd
Description: neural network architecture for profphd
 ${Description}
 .
 This package contains the neural network architecture for profphd.

Package: profnet-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, profnet-bval (= ${binary:Version}), profnet-chop (= ${binary:Version}), profnet-con (= ${binary:Version}), profnet-isis (= ${binary:Version}), profnet-md (= ${binary:Version}), profnet-norsnet (= ${binary:Version}), profnet-prof (= ${binary:Version}), profnet-snapfun (= ${binary:Version}), profphd-net (= ${binary:Version})
Description: debug files for profnet packages
 ${Description}
 .
 This package contains the stripped debugging symbols for profnet binaries.
