=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


build: build-stamp

build-stamp:
	dh_testdir

	@echo "******************"
	@echo "**  M  A  K  E  **"
	@echo "******************"

	# Add here commands to compile the package.
	make patch
	make
	#docbook-to-man debian/profnet.sgml > profnet.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	@echo "*******************"
	@echo "** I N S T A L L **"
	@echo "*******************"

	# Add here commands to install the package into debian/profnet.
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-bval prefix=/usr install-bval
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-chop prefix=/usr install-chop
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-con prefix=/usr install-con
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-isis prefix=/usr install-isis
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-md prefix=/usr install-md
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-norsnet prefix=/usr install-norsnet
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-prof prefix=/usr install-prof
	$(MAKE) DESTDIR=$(CURDIR)/debian/profnet-snapfun prefix=/usr install-snapfun
	$(MAKE) DESTDIR=$(CURDIR)/debian/profphd-net prefix=/usr install-phd


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip --dbg-package=profnet-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	for i in $$(sed -n '/^Package:/s/^.* //p' debian/control); do \
		cat debian/substvars >> debian/$$i.substvars; \
	done;
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
