## profnet 1.0.22

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE := profnet
-VERSION := 1.0.21
+VERSION := 1.0.22
 DISTDIR := $(PACKAGE)-$(VERSION)
 
 SRCDIR := src
