=== src-phd/Makefile ===
ARCH		= LINUX
F77       	= gfortran

# gfortran does not compile usable code with anything other than -O0 or without -O. It fails like this:
#5..4..3..2..*** ERROR prof: line number of error=106
#*** ERROR failed prof:full:doOne dbfile=../testhome/usr/share/profphd/prof/exa/1ppt.f, chain=*!
#*** ERROR msg from where it failed:
#*** ERROR doOne: assHack1994 failed
#*** ERROR assHack1994: SYSTEM call:
# /tmp/testhome/usr/share/profphd/prof/embl/phd.pl ../testhome/usr/share/profphd/prof/exa/1ppt.f exePhd=/tmp/testhome/usr/share/profphd/prof/bin/phd1994.LINUX exeHsspFilter=/tmp/testhome/usr/share/profphd/prof/bin/filter_hssp.LINUX exeHsspFilterPl=/tmp/testhome/usr/share/profphd/prof/scr/hssp_filter.pl exeHsspFilterPack=/tmp/testhome/usr/share/profphd/prof/scr/pack/hssp_filter.pm exeConvertSeq=/tmp/testhome/usr/share/profphd/prof/bin/convert_seq.LINUX exeCopf=/tmp/testhome/usr/share/profphd/prof/scr/copf.pl exeCopfPack=/tmp/testhome/usr/share/profphd/prof/scr/pack/copf.pm exeConvHssp2saf=/tmp/testhome/usr/share/profphd/prof/embl/scr/conv_hssp2saf.pl ARCH=LINUX filePhd=PROF8406_9zqqcndm7996nsqosopo.phdEMBL fileRdb=PROF8406_9zqqcndm7996nsqosopo.rdbPhdEMBL fileNotHtm=PROF8406_9zqqcndm7996nsqosopo.notHtm
# failed producing output file=PROF8406_9zqqcndm7996nsqosopo.rdbPhdEMBL
#
# phd.pl fails like this:
# /usr/share/profphd/prof/embl/phd.pl 1ppt.f exePhd=/usr/bin/phd1994.LINUX exeHsspFilter=/usr/bin/filter_hssp.LINUX exeHsspFilterPl=/usr/share/profphd/prof/scr/hssp_filter.pl exeHsspFilterPack=/usr/share/profphd/prof/scr/pack/hssp_filter.pm exeConvertSeq=/usr/bin/convert_seq.LINUX exeCopf=/usr/share/profphd/prof/scr/copf.pl exeCopfPack=/usr/share/profphd/prof/scr/pack/copf.pm exeConvHssp2saf=/usr/share/profphd/prof/embl/scr/conv_hssp2saf.pl ARCH=LINUX filePhd=PROF14055_49jmm2bo3981bmu3c3al.phdEMBL fileRdb=PROF14055_49jmm2bo3981bmu3c3al.rdbPhdEMBL fileNotHtm=PROF14055_49jmm2bo3981bmu3c3al.notHtm dbg
#  /usr/bin/phd1994.LINUX 1ppt.hssp no no sec phd Para_14322-sec317-may94.com rdb 0 /tmp/proftest XPHD14322.phdSec XPHD14322.rdbSec
# ---
# ---     Arguments given for calling FORTRAN program phd:
# --- Arg   1  |1ppt.hssp|
# --- Arg   2  |no|
# --- Arg   3  |no|
# --- Arg   4  |sec|
# --- Arg   5  |phd|
# --- Arg   6  |Para_14322-sec317-may94.com|
# --- Arg   7  |rdb|
# --- Arg   8  |0|
# --- Arg   9  |/tmp/proftest|
# --- Arg  10  |XPHD14322.phdSec|
# --- Arg  11  |XPHD14322.rdbSec|
# --- working directory       "/tmp/proftest"
# --- FILEPRED                "XPHD14322.phdSec"
# --- FILE_RDB                "XPHD14322.rdbSec"
# ----------------------------------------------------------------------
# ---     Protein from HSSP:  1ppt.hssp                                         
# ----------------------------------------------------------------------
# ---
# ---     HSSP file   1ppt.hssp                                         
# ---        RS_READHSSP PROTEINS-block done
# ---        RS_READHSSP ALIGNMENTS-block done
# ---        RS_READHSSP PROFILE-block done
# ---        RS_READHSSP ok(cut 50): 1ppt.hssp                                         
# xx LERROR after read hssp:  F
# ---        RS_GETHSSP(final words) got:
# ---     protname(50)   1pptPANCREAT                                      
# ---     length:          36    N alis:        0
# ---     sequence       GPSQPTYPGDDAPVEDLIRFYDNLQQYLNVVTRHRY
# ---     structure      LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
# ---     OFFSET                  1
# ---        RS_GETHSSP END(really)
# ***     ************************************************************
# ***     ERROR in reading HSSP (?), claimed to be empty (main PHD)
# ***     ************************************************************
#*** ERROR lib-ut:sysRunProg: failed on system call to FORTRAN (/usr/bin/phd1994.LINUX):
#***                 no pred file ',XPHD14322.phdSec'
#***                 no RDB  file ',XPHD14322.rdbSec'
#
# /usr/bin/phd1994.LINUX 1ppt.hssp no no sec phd Para_14202-sec317-may94.com rdb 0 /tmp/proftest XPHD14202.phdSec XPHD14202.rdbSec | fails like this:
#  ---
# ---     Arguments given for calling FORTRAN program phd:
# --- Arg   1  |1ppt.hssp|
# --- Arg   2  |no|
# --- Arg   3  |no|
# --- Arg   4  |sec|
# --- Arg   5  |phd|
# --- Arg   6  |Para_14202-sec317-may94.com|
# --- Arg   7  |rdb|
# --- Arg   8  |0|
# --- Arg   9  |/tmp/proftest|
# --- Arg  10  |XPHD14202.phdSec|
# --- Arg  11  |XPHD14202.rdbSec|
# --- working directory       "/tmp/proftest"
# --- FILEPRED                "XPHD14202.phdSec"
# --- FILE_RDB                "XPHD14202.rdbSec"
# ----------------------------------------------------------------------
# ---     Protein from HSSP:  1ppt.hssp                                         
# ----------------------------------------------------------------------
# ---
# ---     HSSP file   1ppt.hssp                                         
# ---        RS_READHSSP PROTEINS-block done
# ---        RS_READHSSP ALIGNMENTS-block done
# ---        RS_READHSSP PROFILE-block done
# ---        RS_READHSSP ok(cut 50): 1ppt.hssp                                         
# xx LERROR after read hssp:  F
# ---        RS_GETHSSP(final words) got:
# ---     protname(50)   1pptPANCREAT                                      
# ---     length:          36    N alis:        0
# ---     sequence       GPSQPTYPGDDAPVEDLIRFYDNLQQYLNVVTRHRY
# ---     structure      LLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL
# ---     OFFSET                  1
# ---        RS_GETHSSP END(really)
# ***     ************************************************************
# ***     ERROR in reading HSSP (?), claimed to be empty (main PHD)
# ***     ************************************************************
#
# NOTE that N alis above is 1 in the correct version working with the same input.
#
# -finit-local-zero - initializing variables - solves all of the above but not all compilers support it. Solution: initialize all variables properly.

FFLAGS := -O3 -fbounds-check
FFLAGS := $(FFLAGS) -Wall

profphd_net : phd.f lib-phd.f phdParameter.f
	$(F77) $(FFLAGS) -o $@ phd.f lib-phd.f

#phd.o : phdParameter.f

clean:
	rm -f *.o profphd_net

install:
	mkdir -p $(DESTDIR)$(prefix)/bin && \
		cp profphd_net $(DESTDIR)$(prefix)/bin/
	rm -f $(DESTDIR)$(prefix)/bin/phd1994 && ln -s profphd_net $(DESTDIR)$(prefix)/bin/phd1994
	

.PHONY: clean install
