=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 BIN			=	profnet_prof
 #=====================================================================
 ARCH			=	LINUX
-FFLAGS          	:= 	-O3 -fbounds-check -Wuninitialized
+FFLAGS          	:= 	$(FFLAGS) -O2 -Wuninitialized
 FFLAGS          	:= 	$(FFLAGS) -Wall -Wno-unused
 #=====================================================================
 NN_OBJS			:= prof.f lib-prof.f lib-sys-$(ARCH).f
@@ -17,7 +17,7 @@
 
 $(BIN): $(SOURCES)
 	@echo --- making $(BIN)
-	$(F77) -o $@ $(FFLAGS) $(NN_OBJS)
+	$(F77) $(CPPFLAGS) $(FFLAGS) $(LDFLAGS) -o $@ $(NN_OBJS)
 
 clean:
 	rm -f *.o $(BIN)
