=== debian/changelog ===
profnet (1.0.22-7) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Contact, Name.
  * Fix a spelling typo

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * watch file standard 4 (routine-update)
  * Hack around some flags that are leading to errors in gfortran
  * Skip test of profnet-snapfun
    Closes: #905206
    Remark: This is really not the best solution but since upstream does
    not provide any help the only chance to keep that package and its
    rdepends

 -- Andreas Tille <tille@debian.org>  Thu, 26 Nov 2020 19:22:38 +0100

profnet (1.0.22-6) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 23 Oct 2018 19:36:35 +0200

profnet (1.0.22-5) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Thu, 16 Nov 2017 15:32:46 +0100

profnet (1.0.22-4) unstable; urgency=medium

  * Fix for flag passing in debian/rules (Thanks to Steve Langasek for the
    patch)
    Closes: #831352

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2016 22:15:51 +0200

profnet (1.0.22-3) unstable; urgency=medium

  [ Tatiana Malygina ]
  * Team upload.
  * cme fix dpkg-control
  * add example file and testsuite for profnet-prof
  * same testsuite works for several other packages (profnet-chop, profnet-con,
    profnet-isis, profnet-snapfun). Add debian/*.examples files for these
    packages and add to debian/tests/control
  * mention debian/examples/PROFacc_tst.jct in debian/copyright
  * add debian/docs, debian/README.test
  * change debian/docs to set of {package}.docs for packages profnet-chop,
    profnet-con, profnet-isis, profnet-snapfun, profnet-prof.

  [ Andreas Tille ]
  * hardening options are not used - no idea why
  * rename debian/substvars to debian/Description to make the trick easier to
    understand
  * DEP5
  * Remove *-dbg package since these are now automatically generated

 -- Tatiana Malygina <merlettaia@gmail.com>  Tue, 05 Jul 2016 18:52:31 +0300

profnet (1.0.22-2) unstable; urgency=low

  [ Laszlo Kajan ]
  * Implemented Eugene V. Lyubimkin's suggestions (minor changes in packaging
    details).
  * Fixed d/rules so that now it builds twice in a row.

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 9
  * Priority: optional
  * d/copyright: Fix sequence of entries to fit DEP5
  * d/rules: short dh notation
  * Propagate hardening options
  * lintian-override for substvers which contains package description

 -- Andreas Tille <tille@debian.org>  Wed, 24 Sep 2014 15:25:53 +0200

profnet (1.0.22-1) unstable; urgency=low

  * added build-arch and build-indep recommended targets
  * Demoted Recommends: not-yet-existent (in Debian) packages to Suggests:.
  * New upstream release.

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 28 Nov 2011 15:51:23 +0100
