=== debian/control ===
Source: profnet
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Guy Yachdav <gyachdav@rostlab.org>,
           Laszlo Kajan <lkajan@rostlab.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gfortran,
               rsync
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/profnet
Vcs-Git: https://salsa.debian.org/med-team/profnet.git
Homepage: https://www.predictprotein.org/
Rules-Requires-Root: no

Package: profnet-bval
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: profbval
Description: neural network architecture for profbval
 ${Description}
 .
 This package contains the neural network architecture for profbval.

Package: profnet-chop
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: profchop
Description: neural network architecture for profchop
 ${Description}
 .
 This package contains the neural network architecture for profchop.

Package: profnet-con
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: profcon
Description: neural network architecture for profcon
 ${Description}
 .
 This package contains the neural network architecture for profcon.

Package: profnet-isis
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: profisis
Description: neural network architecture for profisis
 ${Description}
 .
 This package contains the neural network architecture for profisis.

Package: profnet-md
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: metadisorder
Description: neural network architecture for metadisorder
 ${Description}
 .
 This package contains the neural network architecture for metadisorder.

Package: profnet-norsnet
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: norsnet
Description: neural network architecture for norsnet
 ${Description}
 .
 This package contains the neural network architecture for norsnet.

Package: profnet-prof
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: profphd
Description: neural network architecture for profacc
 ${Description}
 .
 This package contains the neural network architecture for profsec and profacc.

Package: profnet-snapfun
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: snapfun
Description: neural network architecture for snapfun
 ${Description}
 .
 This package contains the neural network architecture for snapfun.

Package: profphd-net
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: profphd
Description: neural network architecture for profphd
 ${Description}
 .
 This package contains the neural network architecture for profphd.
