=== debian/tests/control ===
Test-Command: sh debian/tests/installation-test profnet-prof
Depends: @

Test-Command: sh debian/tests/installation-test profnet-chop
Depends: @

Test-Command: sh debian/tests/installation-test profnet-con
Depends: @

Test-Command: sh debian/tests/installation-test profnet-isis
Depends: @

# This test fails - see #905206
#Test-Command: sh debian/tests/installation-test profnet-snapfun
#Depends: @
