=== debian/watch ===
version=4
opts=pasv ftp://rostlab.org/profnet/profnet-([0-9.]+)\.tar\.gz
